package cicaprojekt;

import java.util.Map;

public abstract class Tile {
	protected Map<Direction, Tile> adjacentTile;
	private Pickable itemOnTile;
	
	public void setAdajacentTile(Tile newTile, Direction direction) {
		adjacentTile.put(direction, newTile);
	}
	
	public Tile getAdjacentTile(Direction direction) {
		return adjacentTile.get(direction);
	}

	public abstract void spawnStargate(Stargate stargate, Direction direction);
	
	public abstract void onEntry();
	
	public abstract void onExit();
	
	public Pickable removeItemFromTile() {
		Pickable item = itemOnTile;
		itemOnTile = null;
		return item;
	}
	
	public void setItemOnTile(Pickable item) {
		itemOnTile = item;
	}
}
